<?php
declare(strict_types=1);

namespace Inti\Wp\Plugin\Factory;

use Inti\Wp\Plugin\Assets;
use Inti\Wp\Plugin\PluginInterface;
use Psr\Container\ContainerInterface;

/**
 * Class AssetsFactory
 *
 * @package Inti\Wp\Plugin\Factory
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp
 */
final class AssetsFactory
{
    public function __invoke(ContainerInterface $container): PluginInterface
    {
        $config = $container->has('config') ? $container->get('config') : [];
        $manifest = $container->get('assets');

        return new Assets($manifest, $config['wp']['assets']['dequeue'] ?? []);
    }
}
